close all;
clear all;

start_temp=21;       %temperaturen i bygget ved oppstart av simulering

%Generelle data for hele bygget
%cv=20.85;       %spesifikk varmekapasitet til luft ved konst volum
%cp=29.19;       %spesifikk varmekapasitet til luft ved konst trykk
cp=1005/3600;    %spesifikk varmekapasitet til luft ved konst volum [J/kgC]
cv=718/3600;     %spesifikk varmekapasitet til luft ved konst trykk [J/kgC]
kappa=cp/cv;        %forholdet mellom cv og cp
rho_luft=1.2041;    %tettheten til luft ved normal romtemperatur
G_g=0;             %overgangstall for varme fra gulv til luft
G_R=0;              %overgangstall for varme mellom radiator og luft
U_vin=1.4;          %u-verdien til vinduene
U_yvegg=0.22;       %u-verdien til yttervegger
U_ivegg=0.5;        %u-verdien til innervegger
U_tak=0.15;         %u-verdien til tak
S=0.26;             %vinduenes solfaktor
a=0.6;              %avskjermingsfaktor


%Data for hall
hall_A_g=300;                %areal gulv 
hall_A_vin=260;              %areal vinduer
hall_A_yvegg=72;             %areal yttervegger
hall_A_ivegg1=45;            %areal innervegg til 1. etg
hall_A_ivegg2=45;            %areal innervegg til 2. etg   
hall_A_ivegg3=250;           %areal innervegg(tak) til 3.etg
hall_A_pc=5;                 %areal hvor det er utstyr
hall_h=6;                    %hyde 
hall_pers=5;                 %antall personer
hall_V=hall_A_g*hall_h;      %totale luftvolum 
hall_m=rho_luft*hall_V;      %totale luftmassen 


%Data for kontorer i hver 1. og 2. etg
k12_A_g=600;                %areal gulv
k12_A_vin=150;              %areal vinduer
k12_A_yvegg=140;            %areal yttervegger
k12_A_ivegg12=600;          %areal innervegg(tak/gulv) mellom 1. og 2. etg
k12_A_ivegg3=500;           %areal innervegg(tak) til 3.etg
k12_A_iveggh=45;            %areal innervegg til hall
k12_h=3;                    %hyde
k12_pers1=20;               %antall personer i 1. etg
k12_pers2=25;               %antall personer i 2.etg
k12_V=k12_A_g*k12_h;        %totale volum
k12_m=rho_luft*k12_V;       %totale luftmasse
k12_A_R=32;                 %totalt radiatorareal

%Data for kontorer i hver 3.etg
k3_A_g=600;                 %areal gulv
k3_A_vin=200;               %areal vinduer
k3_A_yvegg=200;             %areal yttervegger
k3_A_ivegg2=500;            %areal innervegg(gulv) til 2.etg
k3_A_iveggh=250;            %areal innervegg(gulv) til hall
k3_A_tak=600;               %areal tak
k3_h=3;                     %hyde
k3_pers=15;                 %antall personer
k3_V=k3_A_g*k3_h;           %totale volum
k3_m=rho_luft*k3_V;         %totale luftmasse
k3_A_R=40;                  %totalt radiatorareal

%Kjrer simulering
sim prediktor

%Lager plot av temperaturene
scrsz = get(0,'ScreenSize');
figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
plot(tid,temperaturer(:,1))
grid on
ylabel('Temperaturer')
xlabel('Tid')
title('Hall')

figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
plot(tid,temperaturer(:,2))
grid on
ylabel('Temperaturer')
xlabel('Tid')
title('3. etasje')

figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
plot(tid,temperaturer(:,3))
grid on
ylabel('Temperaturer')
xlabel('Tid')
title('2. etasje')

figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
plot(tid,temperaturer(:,4))
grid on
ylabel('Temperaturer')
xlabel('Tid')
title('1. etasje')